We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

Estropicio en configuración al actualizar a PHP 5.6


pepejlr
25/10/2016, 16:43
Desinstala PHP y borra toda la configuración que haya en /etc. Luego vuelve a instalar.

Igualmente lo raro es que nuevas versiones de Plesk no corran ya sobre PHP 5.6 e incluso 7. Deberías actualizar la base entera de Plesk o en su defecto, limpiar la máquina e instalar CentOS con PHP 5.6 de serie y Plesk compatible con dicha versión de PHP.

Fossy
24/10/2016, 14:51
Hola amigos:

Tengo un servidor dedicado con Plesk 11.5.

He actualizado mi PHP a 5.6 (tenía 5.4) mediante Yum, porque mi versión es CentOS 6.5 y no reconoce versiones posteriores a la 5.4, entonces he hecho lo siguiente:

yum remove php-common
yum install php56w
yum install php56w-mysql
yum install php56w-common
yum install php56w-pdo
yum install php56w-opcache

A partir de aquí han dejado de funcionar todas mis páginas, e incluso el panel Plesk.

He intentado volver a la versión original mediante;

yum remove php56w
yum remove php56w-common
yum install php-common
yum install php-mysql
yum install php

Y ha vuelto correctamente a la versión, pero el estropicio de configuración se ha quedado patente, y el problema es que no puedo entrar a Plesk para restaurar una copia de seguridad (403 Forbidden - Nginx).

Por favor, ¿cómo puedo volver a recuperar la configuración para volver a Plesk?.

Gracias.